package com.dragon.fuck.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dragon.fuck.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.jetbrains.annotations.NotNull;

import java.io.Serializable;

/**
 * 用户表(EmsUser)实体类
 *
 * @author fengkai
 * @since 2024-01-02 20:12:14
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EmsUser extends BaseEntity implements Serializable {
    private static final long serialVersionUID = -99464166752839135L;
    /**
     * 用户id
     */
    @TableId(type = IdType.AUTO)
    private Long userId;
    @TableField(value = "user_name")
    private String userName;
    /**
     * 用户编码
     */
    @TableField(value = "user_code")
    private String userCode;
    /**
     * 账户
     */
    @TableField(value = "count")
    private String count;
    /**
     * 密码
     */
    @TableField(value = "password")
    private String password;
    /**
     * 创建人
     */

}


