package com.dragon.fuck.exception;

/**
 * @author 冯凯
 * @version 1.0
 * @description: 运行异常类
 * @date 2024/1/2 22:36
 */
public class ServiceException extends RuntimeException{

    private Integer code;

    private String message;


    public ServiceException() {
    }

    public ServiceException(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public ServiceException(String message) {
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
