package com.dragon.fuck.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dragon.fuck.domain.EmsUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * 用户表(EmsUser)表数据库访问层
 *
 * @author fengkai
 * @since 2024-01-02 20:26:55
 */
@Mapper
public interface EmsUserMapper extends BaseMapper<EmsUser> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<EmsUser> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<EmsUser> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<EmsUser> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<EmsUser> entities);

}

